From f2d2b515597d19e4b763a749c0cab16b9e84f874 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?J=C3=A9r=C3=B4me=20Duval?= <jerome.duval@gmail.com>
Date: Thu, 5 May 2022 19:41:49 +0200
Subject: [PATCH] intel_extreme: add Cherryview PCI ids

meant only to ease testing, receive logs, etc.

1	0	headers/private/graphics/intel_extreme/intel_extreme.h
3	0	src/add-ons/kernel/busses/agp_gart/intel_gart.cpp
3	0	src/add-ons/kernel/drivers/graphics/intel_extreme/driver.cpp

diff --git a/headers/private/graphics/intel_extreme/intel_extreme.h b/headers/private/graphics/intel_extreme/intel_extreme.h
index a3c2c6c22d..13a9f2fe41 100644
--- a/headers/private/graphics/intel_extreme/intel_extreme.h
+++ b/headers/private/graphics/intel_extreme/intel_extreme.h
@@ -84,6 +84,7 @@
 #define INTEL_MODEL_BDW		(INTEL_GROUP_BDW)
 #define INTEL_MODEL_BDWM	(INTEL_GROUP_BDW | INTEL_TYPE_MOBILE)
 #define INTEL_MODEL_BDWS	(INTEL_GROUP_BDW | INTEL_TYPE_SERVER)
+#define INTEL_MODEL_CHV		(INTEL_GROUP_CHV)
 #define INTEL_MODEL_SKY		(INTEL_GROUP_SKY)
 #define INTEL_MODEL_SKYM	(INTEL_GROUP_SKY | INTEL_TYPE_MOBILE)
 #define INTEL_MODEL_SKYS	(INTEL_GROUP_SKY | INTEL_TYPE_SERVER)
diff --git a/src/add-ons/kernel/busses/agp_gart/intel_gart.cpp b/src/add-ons/kernel/busses/agp_gart/intel_gart.cpp
index c1f5466040..3b65e66a35 100644
--- a/src/add-ons/kernel/busses/agp_gart/intel_gart.cpp
+++ b/src/add-ons/kernel/busses/agp_gart/intel_gart.cpp
@@ -145,6 +145,9 @@ const struct supported_device {
 	{0x1604, 0x162a, INTEL_MODEL_BDWS, "Broadwell GT3 Server"},
 	{0x1604, 0x162d, INTEL_MODEL_BDW,  "Broadwell GT3 Workstation"},
 
+	{0x2280, 0x22b0, INTEL_MODEL_CHV,  "CherryView"},
+	{0x2280, 0x22b1, INTEL_MODEL_CHV,  "CherryView"},
+
 	// XXX: 0x1904 only confirmed on 0x1916
 	{0x1904, 0x1902, INTEL_MODEL_SKY,  "Skylake GT1"},
 	{0x1904, 0x1906, INTEL_MODEL_SKYM, "Skylake GT1"},
diff --git a/src/add-ons/kernel/drivers/graphics/intel_extreme/driver.cpp b/src/add-ons/kernel/drivers/graphics/intel_extreme/driver.cpp
index f1981e7358..d3a364c9a9 100644
--- a/src/add-ons/kernel/drivers/graphics/intel_extreme/driver.cpp
+++ b/src/add-ons/kernel/drivers/graphics/intel_extreme/driver.cpp
@@ -132,6 +132,9 @@ const struct supported_device {
 	{0x162a, INTEL_MODEL_BDWS, "Broadwell GT3 Server"},
 	{0x162d, INTEL_MODEL_BDW,  "Broadwell GT3 Workstation"},
 
+	{0x22b0, INTEL_MODEL_CHV,  "CherryView"},
+	{0x22b1, INTEL_MODEL_CHV,  "CherryView"},
+
 	{0x1902, INTEL_MODEL_SKY,  "Skylake GT1"},
 	{0x1906, INTEL_MODEL_SKYM, "Skylake GT1"},
 	{0x190a, INTEL_MODEL_SKYS, "Skylake GT1"},
-- 
2.11.0

